// pages/certificate/certificate.js
var urlPath = require('../../config.js');

Page({
	/**
	 * 组件的属性列表
	 */
	properties: {

	},

	/**
	 * 组件的初始数据
	 */
	data: {
		img: "/img/zhengshu.png"

	},



	/**
	 * 页面上拉触底事件的处理函数
	 */
	onReachBottom: function() {


	},

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad: function(options) {
		if(options.imgurl!=undefined){
			this.setData({
				img:options.imgurl
			})
		}
	},
	/**
	 * 组件的方法列表
	 */
	methods: {

	},
	// 3 button 的开放功能<button open-type="share">分享</button>
	onShareAppMessage: function(res) {
	  var that = this;
	
	  // 返回数据
	  return {
	    title: "碳中和达人",
	    path: '/pages/guide/guide' ,
	    success: function(res) {
	      // 转发成功，可以把当前页面的链接发送给后端，用于记录当前页面被转发了多少次或其他业务
	   
	    },
	    fail: function(res) {
	      // 转发失败
	    }
	  }
	},

})
